Issue 109634 - Writer: password to modify/open dialog, support in Word-97 format
Summary: Writer: password to modify/open dialog, support in Word-97 format
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: DEV300m71
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: mikhail.voytenko
QA Contact: issues@sw
URL: http://specs.openoffice.org/appwide/s...
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-26 13:28 UTC by thomas.lange
Modified: 2017-05-20 11:42 UTC (History)
2 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description thomas.lange 2010-02-26 13:28:26 UTC
The password to modify/open feature needs a dialog. 
This issue is for implementing the password dialog. See items 1.3.2.1.* and
1.3.2.2.* in the specification.
Comment 1 thomas.lange 2010-02-26 13:29:38 UTC
.
Comment 2 thomas.lange 2010-03-03 15:34:49 UTC
Files changed/added so far:

M vcl/inc/vcl/abstdlg.hxx

M cui/source/dialogs/makefile.mk
M cui/source/factory/dlgfact.cxx
M cui/source/factory/dlgfact.hxx
M cui/source/inc/cuires.hrc
A cui/source/inc/passwdomdlg.hxx
A cui/source/dialogs/passwdomdlg.cxx
A cui/source/dialogs/passwdomdlg.hrc
A cui/source/dialogs/passwdomdlg.src

M offapi/com/sun/star/task/makefile.mk
A offapi/com/sun/star/task/DocumentMSPasswordRequest2.idl
A offapi/com/sun/star/task/DocumentPasswordRequest2.idl

M uui/source/cookiedg.cxx
M uui/source/cookiedg.hxx
M uui/source/iahndl-authentication.cxx
M uui/source/ids.hrc
M uui/source/passworddlg.cxx
M uui/source/passworddlg.hxx
M uui/source/passworddlg.src
M uui/source/passworderrs.src
Comment 3 thomas.lange 2010-03-03 15:37:52 UTC
changeset:   265594:ed2ee6ae8ccb
Comment 4 thomas.lange 2010-03-04 12:50:01 UTC
Aditional modified files:

M uui/source/loginerr.hxx
Comment 5 thomas.lange 2010-03-11 09:31:46 UTC
.
Comment 6 thomas.lange 2010-06-10 13:52:12 UTC
tl->mav: Please verify. Thanks!
Comment 7 mikhail.voytenko 2010-06-11 10:14:16 UTC
The dialogs look OK for me.
The Writer supports "Document Protection" feature by import and export of
documents in Word 97 format.
=> Verified.

PS: Word has also a feature "Write reservation" that looks to be very similar to
"Document Protection". But since the password is stored as it is ( without any
kind of hash generation ) in case of "Write reservation" the "Document
Protection" was selected to represent password-to-modify in Word-97 format.
Comment 8 mikhail.voytenko 2010-06-11 10:16:50 UTC
CCed: hbrinkm